Invoicing Entity
To view all invoicing entities:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
Successful response
application/json
pageTokenstringOptional
requestedPageSizeintegerOptional
itemCountintegerOptional
get/api/v2/invoicingEntity
GET /api/v2/invoicingEntity HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
{
"pageToken": "0",
"requestedPageSize": 50,
"itemCount": 2,
"items": [
{
"invoicingEntityId": 80,
"name": "Eseye UK",
"title": "Eseye UK",
"countryCode": "GB",
"invoiceNumber": 1234567,
"grossBilling": "no",
"portfolioId": "a628ebc659f7dac01f9fdcbd1116307a",
"status": "setup",
"attribute": [
{
"invoicingEntityAttributeId": 5,
"invoicingEntityId": 80,
"attribute": "dynamicsCompanyId",
"value": "KPfrJIkvhU4bNrJxmWrfs2Y882lyKkH1TGv1GpNS8R5hQ3irXvA4csGDg6l0hERF",
"status": "active"
},
{
"invoicingEntityAttributeId": 23,
"invoicingEntityId": 80,
"attribute": "dynamicsCompanyName",
"value": "Eseye UK",
"status": "active"
},
{
"invoicingEntityAttributeId": 46,
"invoicingEntityId": 80,
"attribute": "homeCurrencyCode",
"value": "GBP",
"status": "active"
}
]
},
{
"invoicingEntityId": 15,
"name": "Eseye US",
"title": "Eseye US",
"countryCode": "US",
"invoiceNumber": 2054498,
"grossBilling": "no",
"portfolioId": "a628ebc659f7dac01f9fdcbd1116307a",
"status": "active",
"attribute": [
{
"invoicingEntityAttributeId": 4,
"invoicingEntityId": 15,
"attribute": "dynamicsCompanyId",
"value": "aee6f31e-b1ba-ad11-c813-888d3a0bc420",
"status": "active"
},
{
"invoicingEntityAttributeId": 16,
"invoicingEntityId": 15,
"attribute": "dynamicsCompanyName",
"value": "Eseye LIVE",
"status": "active"
},
{
"invoicingEntityAttributeId": 43,
"invoicingEntityId": 15,
"attribute": "homeCurrencyCode",
"value": "USD",
"status": "active"
}
]
}
]
}To create a new invoicing entity:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired
titlestringRequired
grossBillingstringRequired
portfolioIdstringRequired
countryCodeIdstringOptional
invoiceNumberstringOptional
Responses
200
Successful response
No content
post/api/v2/invoicingEntity
POST /api/v2/invoicingEntity HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 119
{
"name": "text",
"title": "text",
"grossBilling": "text",
"portfolioId": "text",
"countryCodeId": "text",
"invoiceNumber": "text"
}200
Successful response
No content
To view details for a specific invoicing entity:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
invoicingEntityIdstringRequired
Responses
200
Successful response
application/json
invoicingEntityIdintegerOptional
namestringOptional
titlestringOptional
countryCodestringOptional
invoiceNumberintegerOptional
grossBillingstringOptional
portfolioIdstringOptional
statusstringOptional
get/api/v2/{invoicingEntityId}
GET /api/v2/{invoicingEntityId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
{
"invoicingEntityId": 80,
"name": "Eseye UK",
"title": "Eseye UK",
"countryCode": "GB",
"invoiceNumber": 1234567,
"grossBilling": "no",
"portfolioId": "a628ebc659f7dac01f9fdcbd1116307a",
"status": "setup",
"attribute": [
{
"invoicingEntityAttributeId": 5,
"invoicingEntityId": 80,
"attribute": "dynamicsCompanyId",
"value": "KPfrJIkvhU4bNrJxmWrfs2Y882lyKkH1TGv1GpNS8R5hQ3irXvA4csGDg6l0hERF",
"status": "active"
},
{
"invoicingEntityAttributeId": 23,
"invoicingEntityId": 80,
"attribute": "dynamicsCompanyName",
"value": "Eseye UK",
"status": "active"
},
{
"invoicingEntityAttributeId": 46,
"invoicingEntityId": 80,
"attribute": "homeCurrencyCode",
"value": "GBP",
"status": "active"
}
],
"businessCode": [
{
"businessCodeId": 3
}
],
"currency": [
{
"currencyId": 1
},
{
"currencyId": 13
}
],
"paymentMethod": [
{
"paymentMethodId": 1
}
],
"taxCode": [
{
"taxCodeId": 1
},
{
"taxCodeId": 3
}
]
}To update a specific invoicing entity:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
invoicingEntityIdstringRequired
Body
namestringOptional
titlestringOptional
grossBillingstringOptional
portfolioIdstringOptional
countryCodeIdstringOptional
invoiceNumberstringOptional
statusstringOptional
Responses
200
Successful response
application/json
invoicingEntityIdintegerOptional
namestringOptional
titlestringOptional
countryCodestringOptional
invoiceNumberintegerOptional
grossBillingstringOptional
portfolioIdstringOptional
statusstringOptional
patch/api/v2/invoicingEntity/{invoicingEntityId}
PATCH /api/v2/invoicingEntity/{invoicingEntityId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 135
{
"name": "text",
"title": "text",
"grossBilling": "text",
"portfolioId": "text",
"countryCodeId": "text",
"invoiceNumber": "text",
"status": "text"
}200
Successful response
{
"invoicingEntityId": 80,
"name": "Eseye UK",
"title": "Eseye UK",
"countryCode": "GB",
"invoiceNumber": 1234567,
"grossBilling": "no",
"portfolioId": "a628ebc659f7dac01f9fdcbd1116307a",
"status": "active",
"attribute": [
{
"invoicingEntityAttributeId": 5,
"invoicingEntityId": 80,
"attribute": "dynamicsCompanyId",
"value": "KPfrJIkvhU4bNrJxmWrfs2Y882lyKkH1TGv1GpNS8R5hQ3irXvA4csGDg6l0hERF",
"status": "active"
},
{
"invoicingEntityAttributeId": 23,
"invoicingEntityId": 80,
"attribute": "dynamicsCompanyName",
"value": "Eseye UK",
"status": "active"
},
{
"invoicingEntityAttributeId": 46,
"invoicingEntityId": 80,
"attribute": "homeCurrencyCode",
"value": "GBP",
"status": "active"
}
],
"businessCode": [
{
"businessCodeId": 3
}
],
"currency": [
{
"currencyId": 1
},
{
"currencyId": 13
}
],
"paymentMethod": [
{
"paymentMethodId": 1
}
],
"taxCode": [
{
"taxCodeId": 1
},
{
"taxCodeId": 3
}
]
}Last updated
Was this helpful?